<div class="col-lg-2">
  <div class="form-group">
    <label class="form__label">
      <ng-content select="[label=dayName]"></ng-content>
    </label>
  </div>
</div>
<div class="col-lg-2">
  <div class="form-group">
    <input stHourInput type="text" class="form-control" [(ngModel)]="data.timeFrom" [disabled]="data.state!='Custom'" (change)="onChange()">
  </div>
</div>
<div class="col-lg-2">
  <div class="form-group">
    <input stHourInput type="text" class="form-control" [(ngModel)]="data.timeTo" [disabled]="data.state!='Custom'" (change)="onChange()">
  </div>
</div>
<div class="col-lg-6">
  <div class="btn-group btn-group--full btn-group--33">
    <button type="button" class="btn btn-default" [ngClass]="{'btn-success': data.state=='Custom'}" (click)="isOpened()">Open</button>
    <button type="button" class="btn btn-default" [ngClass]="{'btn-danger': data.state=='Closed'}" (click)="isClosed()">Closed</button>
    <button type="button" class="btn btn-default" [ngClass]="{'btn-primary': data.state=='Full'}" (click)="isFullOpened()">24/24</button>
  </div>
</div>
<div class="col-xs-12 wh-alert" *ngIf="invalid">
  <div class="form__alert alert alert-danger">
    Invalid time
  </div>
</div>
